From 6bd7bfba450865f89f9ab8fe1c0a74674db73aef Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 06 2017 23:30:15 +0000
Subject: [PATCH 695/1001] Remove unused code


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index 59866ee..2394c1e 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -14,14 +14,12 @@ import vcr
 
 import hubs.models
 
-cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
-json_path = os.path.join(
-    os.path.join(os.path.dirname(os.path.abspath(__file__))), 'data/')
+cassette_dir = os.path.join(dirname(__file__), 'vcr-request-data')
 
 
 class APPTest(unittest.TestCase):
     def setUp(self):
-        filename = cassette_dir + self.id()
+        filename = os.path.join(cassette_dir, self.id())
         self.vcr = vcr.use_cassette(filename, record_mode='new_episodes')
         self.vcr.__enter__()
 
@@ -155,6 +153,3 @@ class FakeAuthorization(object):
         self.avatar = 'avatar_src_url'
         self.nickname = username
         self.username = username
-
-    def __getitem__(self, key):
-        return self.dic[key]
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 3c24905..1ca2a8d 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -18,8 +18,6 @@ import hubs.models
 
 import fedmsg.config
 
-cassette_dir = dirname(dirname(__file__)) + '/vcr-request-data/'
-
 
 class HubsAPITest(hubs.tests.APPTest):
     def test_index_logged_out(self):

